# How empty are Heco blocks these days?

This example computes a per-day histogram of the number of HRC-20 transactions per block on Heco. We do this in 3 steps:

1. For each date run a look that gives us per-block transaction counts for non-empty blocks
2. Fill in the 0s for empty blocks.
3. Convert data into to numpy format and run the histograms.

Data is printed out in a csv format suitable for charting in a spreadsheet.

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/looker_heco_xfer_count/heco_histogram.py>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainargos.com/documentation/api/research/looker_heco_xfer_count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
